Bug 3269 - [UPDATE REQUEST] [UPSTREAM UPDATE] elinks
: [UPDATE REQUEST] [UPSTREAM UPDATE] elinks
Status: RESOLVED FIXED
Product: Server Bugs
Classification: ROSA Server
Component: Main Packages
: unspecified
: All Linux
: Normal normal
: ---
Assigned To: Andrew Lukoshko
: ROSA Server Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-28 14:07 MSK by Andrew Lukoshko
Modified: 2013-12-04 13:31 MSK (History)
1 user (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
andrew.lukoshko: published_server+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Lukoshko 2013-11-28 14:07:40 MSK
It was found that ELinks performed client credentials delegation during the
client-to-server GSS security mechanisms negotiation. A rogue server could
use this flaw to obtain the client's credentials and impersonate that
client to other servers that are using GSSAPI. (CVE-2012-4545)

https://rhn.redhat.com/errata/RHSA-2013-0250.html

https://abf.rosalinux.ru/build_lists/1425853
https://abf.rosalinux.ru/build_lists/1425854
Comment 1 Vladimir Potapov 2013-12-03 16:26:01 MSK
elinks-0.12-0.21.pre5.res6
************************ RHEL Advisory *********************
It was found that ELinks performed client credentials delegation during the
client-to-server GSS security mechanisms negotiation. A rogue server could
use this flaw to obtain the client's credentials and impersonate that
client to other servers that are using GSSAPI. (CVE-2012-4545)
*************************************************************
QA Verified